#
# spec file for package yast2-control-center-gnome (Version 0.1.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel PolicyKit aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cpp41 cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel diffutils e2fsprogs esound esound-devel evolution-data-server expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-desktop gnome-desktop-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-main-menu gnome-main-menu-devel gnome-menus gnome-menus-devel gnome-panel gnome-vfs2 gnome-vfs2-devel gnutls gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv klogd krb5 less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libcroco libcroco-devel libdrm libgcc41 libgcrypt libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprintui libgnomesu libgnomeui libgnomeui-devel libgpg-error libgsf libgsf-devel libgsf-gnome libgtop libjpeg libjpeg-devel libltdl libmudflap41 libnscd libpng libpng-devel librsvg librsvg-devel libsoup libstdc++41 libtiff libtool libusb libvolume_id libwnck libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 mDNSResponder-lib make man mktemp module-init-tools mozilla-nspr mozilla-nss ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl permissions pkgconfig pm-utils pmtools popt popt-devel procinfo procps psmisc pwdutils python rcs readline resmgr rpm sed shared-mime-info sqlite startup-notification startup-notification-devel strace sysvinit tango-icon-theme tar tcpd texinfo timezone unzip util-linux vim wireless-tools xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           yast2-control-center-gnome
BuildRequires:  gnome-main-menu-devel libgnome-devel libgnomeui-devel
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL v2 or later
Group:          System/Management
AutoReqProv:    on
Version:        0.1.1
Release:        43.1
Summary:        GNOME control center
Source:         %{name}-%{version}.tar.gz
Patch:          build_with_new_g-m-m.patch
Url:            http://en.opensuse.org/YaST2-GTK
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         filesystem gconf2
Requires:       gnome-main-menu

%description
A nicely GNOME integrated YaST control center, with several new ease of
use features.



Authors:
--------
    Scott Reeves <sreeves@novell.com>
    Jimmy Krehl <jimmyk@novell.com>
    Michael Meeks <michael.meeks@novell.com>

%debug_package
%prep
%setup
%patch -p0
# %setup -n yast2-control-center-gnome-%{version}

%build
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --libexecdir=%prefix/lib/%name \
    --sysconfdir=%sysconfdir
make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
# %find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
opt/gnome/bin/gconftool-2 --shutdown
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/yast2-control-center-gnome.schemas >/dev/null
%run_ldconfig

%postun
%run_ldconfig
# %files -f %{name}.lang

%files 
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{sysconfdir}/xdg
%dir %{sysconfdir}/xdg/menus
%{sysconfdir}/gconf/schemas/yast2-control-center-gnome.schemas
%{sysconfdir}/xdg/menus/YaST-gnome.menu
%{prefix}/bin/y2controlcenter-gnome
%{prefix}/share/applications/YaST-gnome.desktop
%{prefix}/share/desktop-directories/yast-gnome*.directory
# hacks to move elsewhere ...
%dir /usr/share/YaST2
%dir /usr/share/YaST2/theme
%dir /usr/share/YaST2/theme/NLD
%dir /usr/share/YaST2/theme/NLD/icons
%dir /usr/share/YaST2/theme/SuSELinux
%dir /usr/share/YaST2/theme/SuSELinux/icons
/usr/share/YaST2/theme/NLD/icons/index.theme
/usr/share/YaST2/theme/NLD/hicolor
/usr/share/YaST2/theme/SuSELinux/icons/index.theme
/usr/share/YaST2/theme/SuSELinux/hicolor
%changelog
* Sat Jun 09 2007 - sreeves@suse.de
- Fix to build with new gnome-main-menu 0.9.8
* Tue Oct 24 2006 - sreeves@suse.de
- Fix to build with new gnome-main-menu
* Mon Oct 09 2006 - mmichael@suse.de
- import 1st cut.
